# Site/author information
title: "Yves"
description: > # this means to ignore newlines until non-indented
  a minimalist jekyll theme.
author:
  name: René Maya
  twitter: TWITTER
  github: GITHUB
  instagram: INSTAGRAM
  website: "https://WEBSITE"
  bio: "Author's bio"
  avatar: AVATAR.png
  email: EMAIL

# Site settings
baseurl: "" # Set the subpath e.g. /blog/ if this jekyll instance won't be at the root url.
url: "https://GITHUB.github.io" # base hostname & protocol for your site
encoding: "utf-8"
permalink:   /:categories/:title # https://github.com/mojombo/jekyll/wiki/Permalinks
collections:
  items:  # Match to collection folder name; use-this-name-format for pretty urls.
    output: true
    permalink: /:collection/:title
plugins:
  - jekyll-paginate-v2
pagination:
  enabled: true
  title: ':title'
  sort_field: 'categories'
  per_page: 7
autopages:
  enabled: true
  tags:
    layouts:
      - 'autopage_tags.html'
    title: ':tag'
    permalink: '/posts/:tag'
  collections:
    enabled: false
  categories:
    enabled: false

# Nav bar (add `external: true` for 3rd party links)
links:
  - title: About
    url: /about
  - title: Bits
    url: /bits
  - title: Items
    url: /items
  - title: Posts
    url: /posts

# Markdown front matter defaults
defaults:
  -
    scope:
      path: ""
      type: posts
    values:
      layout: post
  -
    scope:
      path: ""
      type: items
    values:
      layout: item

# Build settings
# http://en.wikipedia.org/wiki/List_of_tz_database_time_zones
timezone:    TIMEZONE
future:      true
markdown:    kramdown
highlighter: rouge

kramdown:
  auto_ids: true
  footnote_nr: 1
  entity_output: as_char
  toc_levels: 1..6
  smart_quotes:   lsquo,rsquo,ldquo,rdquo
  # input:          GFM  # default; check kramdown's documentation for options.
  # hard_wrap:      false # default; check kramdown's documentation for options.

sass:
  style: :compressed
  sass_dir: _scss


include:
  - .htaccess
exclude:
  - lib
  - config.rb
  - Capfile
  - config
  - log
  - Gemfile
  - scratch.org
  - todo.org
  - Rakefile
  - README
  - tmp
  - vendor
